
/********************************************************************
*		ORDER		: إѥͥ륤٥Ƚ
*
*		AUTHOR		: FUJI Data System Corporation
*		CREATE		: 1992.09.01
*		UPDATE		: xxxx.xx.xx
*********************************************************************/

#include	<TK2/TK.h>
#include	<TK2/TKusr.h>

#include	"gamen1.h"
#include	"gamen2.h"


	int		pr_exit_event();
	int		pr_panel_event();
	int		pr_key_event();
	int		pr_x_event();

	Ktroot	*root = NULL;
	Ktcore	*core1 = NULL;
	Ktcore	*core2 = NULL;	/* λѥͥ */

/********************************************************************
*		ؿ :	ᥤؿ
*********************************************************************/

void	main()
{
	int		sts = 0;


	root = (Ktroot *)TKinit();
	if( root != NULL )
	{
		core1 = (Ktcore *)TKopen( root, NULL, &panel1 );
		if( core1 != NULL )
		{
			TKentry( core1, KARRAY, panel1_tree );

			TKnotify( core1, KEXIT, pr_exit_event );
			TKnotify( core1, KEVNT, pr_panel_event );
			TKnotify( core1, KKEY,  pr_key_event );

#if 0		/* ϿƤΣإ٥Ȥ狼ޤ */
			TKnotify( core1, KXEV, pr_x_event );
#endif
			while( sts != 1 )
			{
				sts = TKevent( root );
			}
		}
		TKexit( root );
	}
}

/********************************************************************
*		ؿ :	ܥ
*********************************************************************/

int		pr_exit_event( core )

	Ktcore	*core;
{
	printf( "EXIT event\n" );
	if( core2 == NULL )
	{							/* ѥ̤ͥ */
		panel2.wx = root->rw / 2 - panel2.ww / 2;
		panel2.wy = root->rh / 2 - panel2.wh / 2;

		core2 = (Ktcore *)TKopen( root, NULL, &panel2 );
		if( core2 != NULL )
		{
			TKentry( core2, KARRAY, panel2_tree );
		}
	}

	return( -1 );				/* ѥͥϥޤ */
}

/********************************************************************
*		ؿ :	ѥͥ ܥ
*********************************************************************/

int		pr_select_button( core, button, event )

	Ktcore	*core;
	Ktbutn	*button;
	int		event;
{
	int		sts = 0;


	if( event == ButtonRelease )
	{
		TKclose( core2 );			/* ѥͥ  */
		core2 = NULL;

		switch( button->bid )
		{
			case 0:								/* ³ܥ */
				printf( "Panel continue\n" );
				break;
			case 1:								/* λܥ */
				printf( "Panel exit\n" );
				TKclose( core1 );
				core1 = NULL;
				break;
		}
	}

	return( sts );
}

/********************************************************************
*		ؿ :	ѥͥ뎥٥Ƚ
*********************************************************************/

int		pr_panel_event( core, type, info )

	Ktcore		*core;
	int			type;
	Ktconfig	*info;
{
	int		sts = 0;


	switch( type )
	{
		case EXPOSE:
			printf( "EXPOSE event\n" );
			break;
		case CONFIG:
			printf( "CONFIG event\n" );
			if( ( info->ww == panel1.ww ) &&
				( info->wh == panel1.wh ) )
			{									/* ѥͥư		*/
				printf( "Panel MOVE\n" );
				panel1.wx = info->wx;			/*   ѥͥ󹹿 */
				panel1.wy = info->wy;
			}else
			{									/* ѥͥѷ		*/
				printf( "Panel Resize\n" );
				TKchgpanel( core, &panel1 );	/*   ᤹		*/
			}
			break;
	}

	return( sts );
}

/********************************************************************
*		ؿ :	ϥ٥Ƚ
*********************************************************************/

int		pr_key_event( core, sym, stat )

	Ktcore	*core;
	KeySym	sym;
	int		stat;
{
	int		sts = 0;


	if( ( stat & ShiftMask ) != 0 )
		printf( "Shift + " );		/* ShiftƤ	*/

	if( ( stat & LockMask ) != 0 )
		printf( "Lock + " );		/* LockƤ	*/

	if( ( stat & ControlMask ) != 0 )
		printf( "Control + " );		/* ControlƤ*/

	if( ( stat & Mod1Mask ) != 0 )
		printf( "Alt + " );			/* AltƤ	*/

	printf( "%c ( KeySym %X )\n", sym, sym );

	return( sts );
}

/********************************************************************
*		ؿ :	إ٥Ƚ
*********************************************************************/

int		pr_x_event( core, event )

	Ktcore	*core;
	XEvent	event;
{
	printf( "X event\n" );

	return( 0 );
}
