
/********************************************************************
*		ORDER		: ɽʾѹ
*
*		AUTHOR		: FUJI Data System Corporation
*		CREATE		: 1992.09.01
*		UPDATE		: xxxx.xx.xx
*********************************************************************/

#include	<TK2/TK.h>
#include	<TK2/TKusr.h>

#include	"gamen.h"

#define		scale(high,low,par)	(((high-low)*par/100)+low)

									/*     0-----------------3   */
									/*    /                 / 3  */
									/*   /     bar1        / /|  */
									/*  /                 / / |  */
									/* 1-----------------2 /  |  */
									/* 0-----------------30   |  */
									/* |                 || b |  */
									/* |                 || a |  */
									/* |                 || r |  */
									/* |       bar2      || 3 2  */
									/* |                 ||  /   */
									/* |                 || /    */
									/* |                 ||/     */
									/* |                 |1      */
									/* 1-----------------2       */
									/*                           */
									/* Ϻɸֹ򼨤ޤ*/
	void	pr_initial();

	Ktroot	*root;
	Ktcore	*core;

/********************************************************************
*		ѿ : 
*********************************************************************/

	Ktptdt	bf_bar_max[4];
	Ktptdt	bf_bar_min[4];
									/*     0-----------------3   */
									/*    /:                /:   */
									/*   / :    max        / :   */
									/*  /  :              /  :   */
									/* 1-----------------2   :   */
									/* :   :             :   :   */
									/* :   :             :   :   */
									/* :   :             :   :   */
									/* :   :             :   :   */
									/* :   0-------------:---3   */
									/* :  /              :  /    */
									/* : /      min      : /     */
									/* :/                :/      */
									/* 1-----------------2       */
									/*                           */
									/* Ϻɸֹ򼨤ޤ*/
	int		*pt_par;

/********************************************************************
*		ؿ :	ᥤؿ
*********************************************************************/

void	main()
{
	int		sts = 0;


	pr_initial();

	root = (Ktroot *)TKinit();
	if( root != NULL )
	{
		core = (Ktcore *)TKopen( root, NULL, &panel );
		if( core != NULL )
		{
			TKentry( core, KARRAY, panel_tree );

			while( sts != 1 )
			{
				sts = TKevent( root );
			}
		}
		TKexit( root );
	}
}

/********************************************************************
*		ؿ :	˥
*********************************************************************/

void	pr_initial()
{
	int		i;

										/* ͼ	*/
	for( i=0; i<bar1.pc; i++ )
	{
		bf_bar_max[i].x = bar1.pt[i].x;
		bf_bar_max[i].y = bar1.pt[i].y;
	}
										/* ͼ	*/
	bf_bar_min[0].x = ( bar2.pt[1].x - bar2.pt[0].x ) + bar1.pt[0].x;
	bf_bar_min[0].y = ( bar2.pt[1].y - bar2.pt[0].y ) + bar1.pt[0].y;
	bf_bar_min[1].x = bar2.pt[1].x;
	bf_bar_min[1].y = bar2.pt[1].y;
	bf_bar_min[2].x = bar2.pt[2].x;
	bf_bar_min[2].y = bar2.pt[2].y;
	bf_bar_min[3].x = bar3.pt[2].x;
	bf_bar_min[3].y = bar3.pt[2].y;

										/* ͽ			*/
	pt_par = sbar_bp_in.data;
	*pt_par = 100;
										/* 뎥С	*/
	ScrollBar.bp = 0;
}

/********************************************************************
*		ؿ :	뎥С
*********************************************************************/

int		pr_sbar( core, bp, sbar )

	Ktcore	*core;
	int		bp;
	Ktsbar	*sbar;
{
	int		sts = 0;
	float	par;

									/* Ωվõ	*/
	TKerase( core, KSINGL, &bar1 );
	TKerase( core, KSINGL, &bar2 );
	TKerase( core, KSINGL, &bar3 );
									/* ɸ	*/
	par = (float)(100-bp-sbar->bl) *100.0 /( 100.0 -(float)sbar->bl );

	bar1.pt[0].y = scale( bf_bar_max[0].y, bf_bar_min[0].y, par );
	bar1.pt[1].y = scale( bf_bar_max[1].y, bf_bar_min[1].y, par );
	bar1.pt[2].y = scale( bf_bar_max[2].y, bf_bar_min[2].y, par );
	bar1.pt[3].y = scale( bf_bar_max[3].y, bf_bar_min[3].y, par );
	bar2.pt[0].y = scale( bf_bar_max[1].y, bf_bar_min[1].y, par );
	bar2.pt[3].y = scale( bf_bar_max[2].y, bf_bar_min[2].y, par );
	bar3.pt[0].y = scale( bf_bar_max[2].y, bf_bar_min[2].y, par );
	bar3.pt[3].y = scale( bf_bar_max[3].y, bf_bar_min[3].y, par );

									/* Ωɽ	*/
	TKdisplay( core, KSINGL, &bar1 );
	TKdisplay( core, KSINGL, &bar2 );
	TKdisplay( core, KSINGL, &bar3 );

									/*  	*/
	TKerase( core, KSINGL, &sbar_bp_in );
	*pt_par = (int)par;
	TKdisplay( core, KSINGL, &sbar_bp_in );

	return( sts );
}

/********************************************************************
*		ؿ :	
*********************************************************************/

int		pr_sbar_bp_in1( core, idata, mask )

	Ktcore	*core;
	Ktidata	*idata;
	int		mask;
{
	int		sts = 0;


	return( sts );
}

/********************************************************************
*		ؿ :	ϸ
*********************************************************************/

int		pr_sbar_bp_in2( core, idata, type, text )

	Ktcore	*core;
	Ktidata	*idata;
	int		type;
	char	*text;
{
	int		sts = 0;
	int		*bar_dat;


	bar_dat = idata->data;
										/*  */
	if( *bar_dat > 100 )
		*bar_dat = 100;
	else if( *bar_dat < 0 )
		*bar_dat = 0;
										/* Ωչ	*/
	ScrollBar.bp = ( 100 - *bar_dat ) * ( 100 - ScrollBar.bl ) / 100;
	TKdisplay( core, KSINGL, &ScrollBar );

	sts = pr_sbar( core, ScrollBar.bp, &ScrollBar );

	return( sts );
}

