
/********************************************************************
*		ORDER		: إ٥ʤȣУɡ
*
*		AUTHOR		: FUJI Data System Corporation
*		CREATE		: 1992.09.01
*		UPDATE		: xxxx.xx.xx
*********************************************************************/

#include	<TK2/TK.h>
#include	<TK2/TKusr.h>

#include	"gamen.h"


	Ktroot	*root;
	Ktcore	*core;

	void	pr_initial();
	int		pr_nmenu_on();
	int		pr_nmenu_off();

	extern	Ktmpane	nmenu_panel;

										/* ˥塼ʾ */
	Ktmitem	nmenu_item[] =
	{
		KMTEXT,BLACK,"Item1",NULL, 1, ON,
		KMTEXT,BLACK,"Item2",NULL, 2, ON,
		KMTEXT,BLACK,"Item3",NULL, 3, OFF,
		KMSUB, BLACK,"Item4",(char*)&nmenu_panel, 4, ON,
		KMTEXT,BLACK,"Item5",NULL, 5, ON,
		KMNOP, BLACK,"Item6",NULL, 6, ON,
		KMTEXT,BLACK,"Item7",NULL, 7, ON,
		NULL,NULL,NULL,NULL, 0, 0
	};
	Ktmpane	nmenu_panel =
	{
		100,300,GRAY,WHITE,BLACK,SKANA,"TITLE",nmenu_item
	};

	Ktnmenu	nmenu1 =
	{
		KONMENU,0,1, KMPUL,Button123Mask, 0,0,0,0,2,SKANA,NULL,
		GRAY,BLACK,WHITE,BLACK,&nmenu_panel,0,
		pr_nmenu_on,pr_nmenu_off,OFF,NULL,0
	};

	Ktnmenu	nmenu2 =
	{
		KONMENU,0,1, KMBTN,Button123Mask, 0,0,0,0,2,SKANA,"˥塼",
		GRAY,BLACK,WHITE,BLACK,&nmenu_panel,0,
		pr_nmenu_on,pr_nmenu_off,OFF,NULL,0
	};

	Ktnmenu	nmenu3 =
	{
		KONMENU,0,1, KMPOP,Button123Mask, 0,0,0,0,2,SKANA,NULL,
		GRAY,BLACK,WHITE,BLACK,&nmenu_panel,0,
		pr_nmenu_on,pr_nmenu_off,OFF,NULL,0
	};

/********************************************************************
*		ؿ :	ᥤؿ
*********************************************************************/

void	main()
{
	int		sts = 0;


	pr_initial();

	root = (Ktroot *)TKinit();
	if( root != NULL )
	{
		core = (Ktcore *)TKopen( root, NULL, &panel );
		if( core != NULL )
		{
			TKentry( core, KARRAY, panel_tree );
			TKentry( core, KSINGL, &nmenu1 );
			TKentry( core, KSINGL, &nmenu2 );
			TKentry( core, KSINGL, &nmenu3 );

			while( sts != 1 )
			{
				sts = TKevent( root );
			}
		}
		TKexit( root );
	}
}

/********************************************************************
*		ؿ :	˥
*********************************************************************/

void	pr_initial()
{
									/* ƥ˥塼ͭꥢ */
	nmenu1.x = nmenu_pul_area.x;
	nmenu1.y = nmenu_pul_area.y;
	nmenu1.w = nmenu_pul_area.w;
	nmenu1.h = nmenu_pul_area.h;

	nmenu2.x = nmenu_btn_area.x;
	nmenu2.y = nmenu_btn_area.y;
	nmenu2.w = nmenu_btn_area.w;
	nmenu2.h = nmenu_btn_area.h;
	nmenu_btn_area.hed.type = KONOP;

	nmenu3.x = button3.x;
	nmenu3.y = button3.y;
	nmenu3.w = button3.w;
	nmenu3.h = button3.h;
}

/********************************************************************
*		ؿ :	⡼󥿥ꎥ⡼Ɏܥ
*********************************************************************/

int		pr_mom_button( core, button, event )

	Ktcore	*core;
	Ktbutn	*button;
	int		event;
{
	int		sts = 0;


	if( event == ButtonPress )
	{
		printf( "pr_mom_button ButtonPress\n" );
	}else
	{
		printf( "pr_mom_button ButtonRelease\n" );
	}

	return( sts );
}

/********************************************************************
*		ؿ :	륿͡Ȏ⡼Ɏܥϣν
*********************************************************************/

int		pr_alt_button_on( core, button, event )

	Ktcore	*core;
	Ktbutn	*button;
	int		event;
{
	int		sts = 0;


	if( event == ButtonPress )
	{
		printf( "pr_alt_button_on ButtonPress\n" );
	}else
	{
		printf( "pr_alt_button_on ButtonRelease\n" );
	}

	return( sts );
}

/********************************************************************
*		ؿ :	륿͡Ȏ⡼Ɏܥϣƣƽ
*********************************************************************/

int		pr_alt_button_off( core, button, event )

	Ktcore	*core;
	Ktbutn	*button;
	int		event;
{
	int		sts = 0;


	if( event == ButtonPress )
	{
		printf( "pr_alt_button_off ButtonPress\n" );
	}else
	{
		printf( "pr_alt_button_off ButtonRelease\n" );
	}

	return( sts );
}

/********************************************************************
*		ؿ :	ݥ󥿽
*********************************************************************/

int		pr_point( core, x, y, event, poit )

	Ktcore	*core;
	int		x, y;
	int		event;
	Ktpoit	*poit;
{
	int		sts = 0;


	if( event == ButtonPress )
	{
		printf( "pr_point Press x=%d y=%d\n", x,y );
	}else
	{
		printf( "pr_point Release x=%d y=%d\n", x,y );
	}

	return( sts );
}

/********************************************************************
*		ؿ :	ࡼֽ
*********************************************************************/

int		pr_move( core, x, y, move )

	Ktcore	*core;
	int		x, y;
	Ktmove	*move;
{
	int		sts = 0;


	printf( "pr_move x=%d y=%d\n", x,y );

	return( sts );
}

/********************************************************************
*		ؿ :	˥塼
*********************************************************************/

int		pr_menu( core, ino, x, y, menu )

	Ktcore	*core;
	int		ino;
	int		x, y;
	Ktmenu	*menu;
{
	int		sts = 0;


	printf( "pr_menu ino=%d x=%d y=%d\n", ino,x,y );

	return( sts );
}

/********************************************************************
*		ؿ :	ǡ
*********************************************************************/

int		pr_idata_on( core, idata, mask )

	Ktcore	*core;
	Ktidata	*idata;
	int		mask;
{
	int		sts = 0;


	printf( "pr_idata_on\n" );

	if( ( mask & Button1Mask ) != 0 )
		printf( "    Mouse Left Button Press\n" );

	if( ( mask & Button2Mask ) != 0 )
		printf( "    Mouse Center Button Press\n" );

	if( ( mask & Button3Mask ) != 0 )
		printf( "    Mouse Right Button Press\n" );

	if( mask == NULL )
		printf( "    Change Switch\n" );

	return( sts );
}

/********************************************************************
*		ؿ :	ǡϸ
*********************************************************************/

int		pr_idata_off( core, idata, type, text )

	Ktcore	*core;
	Ktidata	*idata;
	int		type;
	char	*text;
{
	int		sts = 0;


	printf( "pr_idata_off %s\n", text );
	printf( "    End key is " );

	switch( type )
	{
		case KEYESC:
			printf( "ESC\n" );
			break;
		case KEYCR:
			printf( "RETURN\n" );
			break;
		case KEYTAB:
			printf( "TAB\n" );
			break;
		case KEYBAT:
			printf( "Shift+TAB\n" );
			break;
		case KEYUP:
			printf( "UP cursor\n" );
			break;
		case KEYDW:
			printf( "DOWN cursor\n" );
			break;
		default:
			printf( "%d\n", type );
			break;
	}

	return( sts );
}

/********************************************************************
*		ؿ :	ƥ
*********************************************************************/

int		pr_itext_on( core, itext )

	Ktcore	*core;
	Ktitext	*itext;
{
	int		sts = 0;


	printf( "pr_itext_on\n" );

	return( sts );
}

/********************************************************************
*		ؿ :	ƥϸ
*********************************************************************/

int		pr_itext_off( core, itext )

	Ktcore	*core;
	Ktitext	*itext;
{
	int		sts = 0;


	printf( "pr_itext_off\n" );

	return( sts );
}

/********************************************************************
*		ؿ :	ƥ
*********************************************************************/

int		pr_ntext_on( core, ntext )

	Ktcore	*core;
	Ktntext	*ntext;
{
	int		sts = 0;


	printf( "pr_ntext_on\n" );

	return( sts );
}

/********************************************************************
*		ؿ :	ƥϸ
*********************************************************************/

int		pr_ntext_off( core, ntext )

	Ktcore	*core;
	Ktntext	*ntext;
{
	int		sts = 0;


	printf( "pr_ntext_off\n" );

	return( sts );
}

/********************************************************************
*		ؿ :	뎥С
*********************************************************************/

int		pr_sbar( core, bp, sbar )

	Ktcore	*core;
	int		bp;
	Ktsbar	*sbar;
{
	int		sts = 0;


	printf( "pr_sbar %d%%\n", bp );

	return( sts );
}

/********************************************************************
*		ؿ :	Ģɼ
*********************************************************************/

int		pr_table_on( core, table, line, clum, mask )

	Ktcore	*core;
	Kttable	*table;
	int		line, clum;
	int		mask;
{
	int		sts = 0;


	printf( "pr_table_on line=%d clum=%d\n", line,clum );

	if( ( mask & Button1Mask ) != 0 )
		printf( "    Mouse Left Button Press\n" );

	if( ( mask & Button2Mask ) != 0 )
		printf( "    Mouse Center Button Press\n" );

	if( ( mask & Button3Mask ) != 0 )
		printf( "    Mouse Right Button Press\n" );

	if( mask == NULL )
		printf( "    Change Switch\n" );

	return( sts );
}

/********************************************************************
*		ؿ :	Ģɼϸ
*********************************************************************/

int		pr_table_off( core, table, line, clum, type, text )

	Ktcore	*core;
	Kttable	*table;
	int		line, clum;
	int		type;
	char	*text;
{
	int		sts = 0;


	printf( "pr_table_off line=%d clum=%d %s\n", line,clum,text );
	printf( "    End key is " );

	switch( type )
	{
		case KEYESC:
			printf( "ESC\n" );
			break;
		case KEYCR:
			printf( "RETURN\n" );
			break;
		case KEYTAB:
			printf( "TAB\n" );
			break;
		case KEYBAT:
			printf( "Shift+TAB\n" );
			break;
		case KEYUP:
			printf( "UP cursor\n" );
			break;
		case KEYDW:
			printf( "DOWN cursor\n" );
			break;
		default:
			printf( "%d\n", type );
			break;
	}

	return( sts );
}

/********************************************************************
*		ؿ :	˥塼
*********************************************************************/

int		pr_nmenu_on( core, id, nmenu, pane )

	Ktcore	*core;
	int		id;
	Ktnmenu	*nmenu;
	Ktmpane	*pane;
{
	int		sts = 0;


	printf( "pr_nmenu_on  id=%d\n" ,id );

	return( sts );
}

/********************************************************************
*		ؿ :	˥塼
*********************************************************************/

int		pr_nmenu_off( core, id, nmenu, pane )

	Ktcore	*core;
	int		id;
	Ktnmenu	*nmenu;
	Ktmpane	*pane;
{
	int		sts = 0;


	printf( "pr_nmenu_off id=%d\n" ,id );

	return( sts );
}

/********************************************************************
*		ؿ :	ݥåץå׎˥塼ưܥ
*********************************************************************/

int		pr_pop_menu_button( core, button, event )

	Ktcore	*core;
	Ktbutn	*button;
	int		event;
{
	int		sts = 0;


	if( event == ButtonRelease )
	{
		printf( "pr_pop_menu_button\n" );
		nmenu3.flg = ON;
		TKdisplay( core, KSINGL, &nmenu3 );
	}

	return( sts );
}
