
#include	<TK2/TK.h>
#include	<TK2/TKusr.h>
#include	<GR.h>
#ifdef PS
#include	<PRkid/TKPrinPS.h>
#endif
#include	"src000.h"
#include	"gamen00.h"
#include	"gamen30.h"
#include	"gamen31.h"

	extern	int		pr_graph_exit();


/************************************************************************
*		Module Name	: 													*
*************************************************************************/
int		pr_pay_panel_open( item )
	int		item;
{
	int		sts = -1;
	int		i;

	switch( item )
	{
		case 1:
			strcpy( (char *)tb_pay_item1.data, "»" );
			strcpy( (char *)tb_pay_item2.data, "ؿ" );
			strcpy( (char *)tb_pay_item3.data, "Ҷ" );
			for( i=0; tb_pay_bars[i]!=NULL; i++ )
				tb_pay_bars[i]->max = 9000000;
			break;
		case 2:
		case 3:
			strcpy( (char *)tb_pay_item1.data, "եޥ" );
			strcpy( (char *)tb_pay_item2.data, "奢" );
			strcpy( (char *)tb_pay_item3.data, "¾" );
			for( i=0; tb_pay_bars[i]!=NULL; i++ )
				tb_pay_bars[i]->max = 3000000;
			break;
		case 4:
			strcpy( (char *)tb_pay_item1.data, "˻" );
			strcpy( (char *)tb_pay_item2.data, "" );
			strcpy( (char *)tb_pay_item3.data, "Ļ" );
			for( i=0; tb_pay_bars[i]!=NULL; i++ )
				tb_pay_bars[i]->max = 3000000;
			break;
	}

	if( core_graph == NULL )
	{
		pr_panel_right_down( &panel30 );
		core_graph = (Ktcore *)TKopen( root, core00->kit, &panel30 );
		if( core_graph != NULL )
		{
			Gcore = (Grcore *)TKgropen( core_graph, KARRAY, panel30_tree );
			if( Gcore != NULL )
			{
				TKgrentry( Gcore, KARRAY, tb_pay_bars, HRBDSPON );

				TKnotify( core_graph, KEXIT, pr_graph_exit );
				sts = 0;
			}else
			{
				TKclose( core_graph );
				core_graph = NULL;
			}
		}
	}

	return( sts );
}
/************************************************************************
*		Module Name	: 													*
*************************************************************************/
void	pr_pay_redrow( item )
	int		item;
{
	int		month;
	int		pay1, pay2, pay3;

	for( month=0; month<12; month++ )
	{
		switch( item )
		{
			case 1:
				pay1 = hanbai[month].man.total.siharai;
				pay2 = hanbai[month].wman.total.siharai;
				pay3 = hanbai[month].child.total.siharai;
				break;
			case 2:
				pay1 = hanbai[month].man.formal.siharai;
				pay2 = hanbai[month].man.cajual.siharai;
				pay3 = hanbai[month].man.other.siharai;
				break;
			case 3:
				pay1 = hanbai[month].wman.formal.siharai;
				pay2 = hanbai[month].wman.cajual.siharai;
				pay3 = hanbai[month].wman.other.siharai;
				break;
			case 4:
				pay1 = hanbai[month].child.boy.siharai;
				pay2 = hanbai[month].child.girl.siharai;
				pay3 = hanbai[month].child.baby.siharai;
				break;
		}

		tb_pay_bars[month]->pt[0].data = (unsigned int)pay1;
		tb_pay_bars[month]->pt[1].data = (unsigned int)pay2;
		tb_pay_bars[month]->pt[2].data = (unsigned int)pay3;
	}
	TKgrdisplay( Gcore, KARRAY, tb_pay_bars, HRBDSPON );
}
/************************************************************************
*       Module Name :                                                   *
*************************************************************************/
void    pr_pay_printPS( )
{
	int		i;

#ifdef PS
    TKpinit2( &panel30, KSPANELON, KSPNLSIZE );
    TKprint( KARRAY, panel30_tree );
    for(i=0; tb_pay_bars[i]!=NULL; i++)
        TKprint( KARRAY, tb_pay_bars[i]->hed.ent );
#endif
}

