#include	<TK2/TK.h>
#include	<TK2/TKusr.h>
#include	"sample.h"
#include	"table.h"
#include	"graph.h"
#include	"dialog.h"

							/* MESSAGE ID DEFINE		*/
#define		LT_ERR_INPUT	1
#define		LT_NULL_DT		2
#define		LT_NAME_MSG		100
#define		LT_KOKU_MSG		101
#define		LT_SANN_MSG		102
#define		LT_RIKA_MSG		103
#define		LT_SYAK_MSG		104
#define		LT_SOUH_MSG		105

							/* tokutennhyouji Buff		*/

	Ktroot	*root;
	Ktcore	*core1;
	Ktcore	*core2;
	Ktcore	*core3;
	static	char	bf_path[64];
	static	Ktitext	*bf_save_itext;	/* INPUT OBJECT				*/
	int		bf_tmp;
	G_TOKUTEN	bf_tokuten[16];

/*$*/

	extern	void	pr_panel2_init();
	

									/* CALL BACK ROUTINE		*/
	int		pr_butn();				/* Button Call Back Routine	*/ 
	int		pr_pre_inp();			/* INPUT pre				*/
	int		pr_aft_inp();			/* INPUT bef				*/

	int		pr_fread();				/* FILE DATA READ ROUTINE	*/
	void	pr_initial();			/* INITIALIZE				*/
	int		pr_indeta_chk();		/* INPUT DATA CHECK			*/
	void	pr_msg();				/* MESSAGE DISPLAY			*/

/*$*/
/****************************************************************
 *			롼								*
 ***************************************************************/
void	pr_initial()
{
	int		stat;
	int		i;

	/*****	START	*****/

	bf_save_itext = NULL;			/* input object NULL		*/

	for (i=0;i<16;i++) {
		tb_table_cell[i+1][1].data = (int*)&bf_tokuten[i].name[0];
		tb_table_cell[i+1][2].data = (int*)&bf_tokuten[i].kokugo;
		tb_table_cell[i+1][3].data = (int*)&bf_tokuten[i].sannsu;
		tb_table_cell[i+1][4].data = (int*)&bf_tokuten[i].rika;
		tb_table_cell[i+1][5].data = (int*)&bf_tokuten[i].syakai;
		tb_table_cell[i+1][6].data = (int*)&bf_tokuten[i].goukei;
		tb_table_cell[i+1][7].data = (int*)&bf_tokuten[i].koumoku[0];
	}

	stat = 	pr_fread(bf_tokuten);	/* FILE DATA READ			*/	

	pr_panel2_init();

	
}
/*$*/
/****************************************************************
 *			ǡե꡼ɽ롼					*
 ***************************************************************/
int		pr_fread(tokuten)
G_TOKUTEN	*tokuten;
{
	int		sta;
	FILE	*bf_strem;

	/*	START	*/

    bzero(tokuten,sizeof(G_TOKUTEN)*16);
    sprintf(bf_path,"sample_tokuten");

    bf_strem = fopen(bf_path,"r");
    if (bf_strem ==  NULL)
    {
        bf_strem = fopen(bf_path,"w+");
        sta = fwrite(tokuten,sizeof(G_TOKUTEN),16,bf_strem);
        sta = fclose(bf_strem);
        printf("**** SAMPLE FILE OPEN ERROR DEFAULT SET ***\n");
    } else {
        sta = fread(tokuten,sizeof(G_TOKUTEN),16,bf_strem);
        sta = fclose(bf_strem);
    }
	return(sta);
}
/*$*/
/****************************************************************
 *			ϥᥤ									*
 ***************************************************************/
int	pr_exit(core)
Ktcore	*core;
{
	TKclose(core2);
	TKclose(core1);

	return(0);
}
/****************************************************************
 *			ϥᥤ									*
 ***************************************************************/
main()
{
	int	sts;
	int	i;
	
	/* 		PROGRAM START		*/

	pr_zoom_init();

	root = (Ktroot *)TKinit();
	core2 = (Ktcore *)TKopen(root,NULL,&panel2);
	core1 = (Ktcore *)TKopen(root,NULL,&panel1);
	if ((core1 != NULL) && (core2 != NULL))
	{
		pr_initial();

		TKlabelent(root,panel1_labels);

		TKnotify(core1,KEXIT,pr_exit);
		TKnotify(core2,KEXIT,pr_exit);

		TKentry(core1,KARRAY,panel1_tree);
		TKentry(core2,KARRAY,panel2_tree);
		for( sts =0;sts != 1;)
		{
			sts = TKevent(root);
		}
		TKexit(root);
	}	
}
/*$*/
/****************************************************************
 *			ܥ󥳡Хå롼						*
 ***************************************************************/
int	pr_butn(core,butn,type)
Ktcore	*core;
Ktbutn	*butn;
int		type;
{
	int		i,sta;
	FILE	*bf_strem;

	/****	PROGURAM START	*****/

	if (type == ButtonPress)
	{
    	bf_strem = fopen(bf_path,"w+");
        sta = fwrite(bf_tokuten,sizeof(G_TOKUTEN),16,bf_strem);
    	sta = fclose(bf_strem);

		pr_panel2_init();
	}
	return(0);
}
/*$*/

/****************************************************************
 *			ƥХå롼				*
 ***************************************************************/
int	pr_pre_inp(core,table,line,clum,flag)
Ktcore	*core;
Kttable2 *table;
int		line;
int		clum;
int		flag;
{
	int		bf_shu,bf_msg;

	/*****	START	*****/

	bf_shu = clum;
	switch(bf_shu)
	{
		case 1:
			bf_msg = LT_NAME_MSG;
		break;
		case 2:
			bf_msg = LT_KOKU_MSG;
		break;
		case 3:
			bf_msg = LT_SANN_MSG;
		break;
		case 4:
			bf_msg = LT_RIKA_MSG;
		break;
		case 5:
			bf_msg = LT_SYAK_MSG;
		break;
		case 7:
			bf_msg = LT_SOUH_MSG;
		break;
		default:
			bf_msg = -1;
	}
	if (bf_msg != -1) {
		pr_msg(0,bf_msg);
	}
	return(0);
}
/*$*/
/****************************************************************
 *			ƥϸ女Хå롼				*
 ***************************************************************/
int	pr_aft_inp(core,table,line,clum,type,text)
Ktcore	*core;
Kttable2 *table;
int		line;
int		clum;
int		type;
char	*text;
{

	int		sta;

	/* START */
	sta =0;

	switch(clum)
	{
		case 1:		/* namae 		*/
		case 7:		/* souhyou 		*/
		break;
		case 2:		/* kokugo 		*/
				bf_tmp =bf_tokuten[line-1].kokugo;
		break;
		case 3:		/* sansu		*/
				bf_tmp =bf_tokuten[line-1].sannsu;
		break;
		case 4:		/* rika			*/
				bf_tmp =bf_tokuten[line-1].rika;
		break;
		case 5:		/* syakai		*/
				bf_tmp =bf_tokuten[line-1].syakai;
		break;
		default:
			break;
	}
	if ((clum >= 2) && (clum <= 5))
	{
		if ((bf_tmp < 0) || (bf_tmp > 100))			
		{
			pr_msg(0,LT_ERR_INPUT);		/* err display			*/
			core3 = (Ktcore *)TKopen(root,NULL,&panel3);
			TKentry(core3,KARRAY,panel3_tree);
			sta = -1;
		}
	}
	return(sta);
}
/*$*/
/********************************************************
 *		åϽ								*
 *******************************************************/
void	pr_msg(flag,no)
int		flag;
int		no;
{
	if (flag == 0) 
	{
		TKerase(core1,KSINGL,&Text23);
		switch(no)
		{
			case	LT_NULL_DT:
				Text23.fc = BLUE;
				Text23.text = "";
				p3_text1.text = "";
			break;
			case 	LT_ERR_INPUT:
				Text23.fc = RED;
				Text23.text = "ϥǡְäƤޤ";
				p3_text1.text = "ϥǡְäƤޤ";
			break;
			case	LT_NAME_MSG:	
				Text23.text = "̾ϤƤ";
			break;
			case	LT_KOKU_MSG:	
				Text23.text = "ϤƤ";
			break;
			case	LT_SANN_MSG:
				Text23.text = "ϤƤ";
			break;
			case	LT_RIKA_MSG:
				Text23.text = "ʤϤƤ";
			break;
			case	LT_SYAK_MSG:
				Text23.text = "ҲϤƤ";
			break;
			case	LT_SOUH_MSG:
				Text23.text = "ɾ";
			break;
		}
		TKdisplay(core1,KSINGL,&Text23);
	}
}
