/*      F.D.S ToolKit constant define       */

#ifndef _TKDEF_H_
#define _TKDEF_H_

#define Button123Mask   (Button1Mask | Button2Mask | Button3Mask)
#define ButtonAllMask   (Button1Mask|Button2Mask|Button3Mask|\
						 Button4Mask|Button5Mask				)

#define	DISPLAY		NULL

#define KANK        0				/* ank font type				*/
#define KKNJ        1				/* kanji font type				*/

#define KDON        1				/* display on					*/
#define KDOFF       0				/* display off					*/

#define KACTIV      0x0001			/* object active flag			*/

#define KPROC       0				/* main processing panel		*/
#define KSDLG		1
#define KDIAG		1
#define KADLG		2
#define KSUBP		3
#define	KWORK		4
#define	KPXMP		5
#define KPROC_P     100
#define KSDLG_P		101
#define KADLG_P		102
#define KSUBP_P		103
#define	KWORK_P		104
#define	KOTHER		-2

#define KPROC_F     1000
#define KSDLG_F		1001
#define KADLG_F		1002
#define KSUBP_F		1003
#define	KWORK_F		1004
#define	KOTHER_F	-1002
#define KPROC_P_F	1100
#define KSDLG_P_F	1101
#define KADLG_P_F	1102
#define KSUBP_P_F	1103
#define	KWORK_P_F	1104

#define KDISP       0				/* object display				*/
#define KERASE      1				/* object erase					*/

#define KENT        0				/* object entory				*/
#define KDEL        1				/* object delete				*/

#define KSINGL      0				/* single mode					*/
#define KARRAY      1				/* array mode					*/
#define	KALL		2				/* all entry data mode			*/
#define KMEMORY     2				/*		//						*/
#define	KAFTER		3				/* after object mode			*/

#define	KION		1				/* input on						*/
#define	KIOFF		0				/* input off					*/
#define	KINS		0				/* input insert					*/
#define	KREP		1				/* input replace				*/

#define	KBFILE		0
#define	KBDATA		1

#define KONOP       0				/* ToolKit nop object			*/
#define KOTEXT      1				/* ToolKit text object			*/
#define KORTEXT     2				/* ToolKit repeat txet object	*/
#define KOLINE      3				/* ToolKit line object			*/
#define KOKEI       4				/* ToolKit KEISEN oject			*/
#define KORECT      5				/* ToolKit rectangle object		*/
#define KOARC       6				/* ToolKit arc object			*/
#define KOPOLY		7				/* ToolKit polygon object		*/
#define KOIMAG      8				/* ToolKit bitmap object		*/
#define KOBARC      9				/* ToolKit bar-cursor object	*/
#define KOBOXC      10				/* ToolKit box-cursor object	*/
#define KOBUTN      11				/* ToolKit button object		*/
#define KOABTN      111				/* ToolKit button object		*/
#define KOPBTN      211				/* ToolKit button object		*/
#define KOOBTN      311				/* ToolKit button object		*/
#define KOODBTN     411				/* ToolKit button object		*/
#define KOOBBTN     511				/* ToolKit button object		*/
#define KOOWBTN     611				/* ToolKit button object		*/
#define KORBTN      711				/* ToolKit button object		*/
#define KOINPUT     12				/* ToolKit input object			*/
#define KOSBAR      13				/* ToolKit scrollbar object		*/
#define KOPOIT      14				/* ToolKit pointer object		*/
#define KOMOVE      15				/* ToolKit move object			*/
#define	KOMENU		16				/* Toolkit pull down menu object*/
#define	KOBARG		17				/* toolkit bar graph object		*/
#define	KOITEXT		18				/* toolkit text input object	*/
#define	KORAST		19				/* toolkit raster data object	*/
#define KOCOMB		20				/* toolkit combination object	*/
#define KOTABLE		21				/* toolkit table object			*/
#define	KOIDATA		22				/* toolkit input data object	*/
#define	KOSTEXT		23				/* toolkit scroll text object	*/
#define KONTEXT		24				/* toolkit new input text object*/
#define KONMENU		25				/* toolkit new menu object		*/
#define KOCANV		26				/* toolkit new menu object		*/
#define KOOMENU		27				/* toolkit open look menu object*/
#define	KODATA2		28				/* toolkit input data 2 object	*/
#define	KOLIST		29				/* toolkit list object			*/
#define	KOOSBAR		30				/* toolkit open look scrollbar	*/
#define KOTABLE2	31				/* toolkit table2 object		*/
#define	KODATA3		32				/* toolkit input data 3 object	*/
#define	KOMARK 		33				/* toolkit mark object			*/

#define	KONRECT		50				/* toolkit new rect object		*/
#define	KONARC		51				/* toolkit new arc object		*/
#define	KONPOLY		52				/* toolkit new polygon object	*/

#define	KOGLINE		53

#define KBACK       "back"			/* ToolKit default back color	*/
#define KBLACK      "#000000000"	/* ToolKit default black		*/
#define KWHITE      "#255255255"	/* ToolKit default white		*/
#define KDGRAY      "#084084084"	/* ToolKit default dimgray		*/
#define KLGRAY      "#168168168"	/* ToolKit default lightgray	*/
#define KGRAY       "#192192192"	/* ToolKit default gray			*/
#define KRED		"#255000000"
#define KGREEN		"#035147035"
#define KBLUE		"#000000255"
#define KYELLOW		"#255255000"
#define KCYAN		"#000255255"
#define KMAGENTA	"#255000255"
#define KPINK		"#216191216"
#define KPGREEN		"#143188143"
#define KLBLUE		"#191216216"
#define KWHEAT		"#216216191"

#define	KFUARW		-8
#define	KFDARW		-7
#define	KFLARW		-6
#define	KFRARW		-5
#define	KFEXIT		-4
#define	KFICON		-3
#define KFIMF		-2				/* bitmap file font				*/
#define	KFIMD		-1				/* bitmap data font				*/
#define KFKANA      0				/* ToolKit default ank font		*/
#define KFKANJI     1				/* ToolKit default kanji font	*/

#define KTOR        0				/* text	fore draw only			*/
#define KTSET       1				/* text fore & back draw		*/
#define KTREV       2				/* text draw revers				*/
#define KTANG       3				/* text draw angle				*/
#define	KTTIL		4				/* text draw tiling				*/
#define KTRANG      5				/* text draw reverse angle		*/

#define KLORG       0				/* line address origin			*/
#define KLPRV       1				/* line address previous		*/
#define KLMODE		0				/* line draw continuous			*/
#define KLSING		1				/* line draw segments			*/
#define	KLGRPH		2				/* line draw flagment			*/

#define	KGSOLID		0
#define	KGTATE		1
#define	KGYOKO		2

#define KKYOKO      0
#define KKTATE      1
#define KKYOKOV     2
#define KKTATEV     3

#define KRBAR       0
#define KRWAK       1
#define KRBOX       2
#define KRFLW       3
#define KRUPB       4
#define KRDWB       5
#define	KRLMP		6
#define	KRMES		7
#define	KRUBW		8
#define	KRDBW		9
#define	KRUPF		10
#define	KRDWF		11
#define	KRBUF		12
#define	KRBDF		13

#define KAPNT       0
#define KAWAK       1
#define KACMB       2

#define KCHOR		0
#define	KSLIC		1

#define KPPNT       0
#define KPWAK       1
#define KPCMB       2

#define KBTATE      0
#define KBYOKO      1
#define KBTATE2     2
#define KBYOKO2     3
#define	KBBT		0x10

#define	KCBOX		0
#define	KCREC		1
#define	KCARC		2

#define KIFIL       0
#define KIDAT       1

#define	KBMOM		0
#define	KBALT		1

#define KPPRES      0
#define KPRELS      1

#define KINOM       0
#define KIWAK       1
#define KIKEI		2

#define	KRNORM		0
#define	KRSBAR		1

#define	KCNORM		0
#define	KCSBAR		1
#define	KCRUND		2

#define	KITW		0x02
#define	KITK		0x04
#define	KITVS		0x10
#define KITHS		0x20

#define	KPM			0
#define	KPL			1
#define	KPR			2

#define KIDDSP		0
#define KIDIN		1
#define KIDEXP		0x100

#define	KIDINL		0x02
#define	KIDINR		0x04
#define	KIDINU		0x08
#define	KIDIND		0x10
#define	KIDTB		0x20

#define	KDDEC		0
#define	KDHEX		1
#define	KDOCT		2
#define	KDFLOAT		3
#define	KDEXP		4
#define	KDGFORM		5
#define	KDNUM		6
#define	KDANK		7
#define	KDTXT		8
#define KDSDEC		9
#define KDSHEX		10
#define KDSOCT		11
#define KDDOUBL		12
#define KDDEXP		13
#define KDDGFRM		14
#define	KDUDEC		15
#define	KDUHEX		16
#define	KDUOCT		17
#define KDUSDEC		18
#define KDUSHEX		19
#define KDUSOCT		20
#define	KDPWD		50

#define KNANK       0x00000010		/*	16			*/
#define KNTXT       0x00000020		/*	32			*/
#define KNLAZ       0x00000040		/*	64			*/
#define KNSAZ       0x00000080		/*	128			*/
#define KNKANA      0x00000100		/*	256			*/
#define KNTOK       0x00000200		/*	512			*/
#define KNSUU       0x00000400		/*	1024		*/
#define KNSPA       0x00000800		/*	2048		*/
#define KNPLU       0x00001000		/*	4096		*/
#define KNMIN       0x00002000		/*	8192		*/
#define KNPER       0x00004000		/*	16384		*/
#define KNSLA       0x00008000		/*	32768		*/
#define KNAST       0x00010000		/*	65536		*/
#define KNEQU       0x00020000		/*	131072		*/

#define KDTS        0x00000000
#define KDTM        0x10000000
#define KDTT1       0x30000000
#define KDTT2       0x40000000

#define KDNREV      0
#define KDREV       1

#define KDZN        0
#define KDZ9        1
#define KDZZ        2
#define KDZP        3

#define KFINS       0
#define KFOVR       1
#define KFNO        2

#define KLSN        0
#define KLSR        1
#define KLSP        2
#define KLSB        3
#define KLSW        4
#define KLSK        5
#define KLSH        6

#define KLK         0x01
#define KLW         0x02
#define KLS         0x04
#define KLT         0x08
#define KLF         0x10

#define KLDSP       0
#define KLCHG       1
#define KLADD       2
#define KLDEL       3

#define KTBMI		0
#define KTBUP		1
#define KTBDW		2

#define KTBLUP		0x01
#define KTBLDWN		0x02

#define KTBNON		0
#define KTBREV		0x00010000
#define KTBLINE		0x00020000
#define KTBMES1		0x00030000
#define KTBMES2		0x00030001
#define KTBMES3		0x00030002
#define KTBMES4		0x00030003
#define KTBMES5		0x00030004
#define KTBMES6		0x00030005
#define KTBMES7		0x00030006
#define KTBSLA1		0x00040000
#define KTBSLA2		0x00040001
#define KTBSLA3		0x00040002
#define	KTBUBTN		0x00050000
#define	KTBDBTN		0x00050001

#define KTBDEF		0
#define KTBORG		1
#define KTBPRV		2

#define	KIMAX		0x01

#define PressMove   0
#define ReleaseMove 1

#define	KMPUL		0
#define	KMBTN		1
#define	KMPOP		2
#define	KMBTN2		3

#define	KMTEXT		1
#define	KMBMAP		2
#define	KMSUB		3
#define	KMTITL		4
#define	KMNEXT		5
#define	KMNOP		6
#define	KMSEP		7

#define	KMCHK		2

#define KEXIT		0
#define	KMESG		1
#define KEVNT		2
#define KKEY		3
#define KXEV		4
#define	KVABL		5

#define CONFIG		0
#define EXPOSE		1

#define	KUNLOCK		0
#define	KLOCK		1
#define	KPLOCK		2
#define	KCLOCK		3

#define KFZENKAN    0
#define KFZENKAT    1
#define KFHANKAT    2
#define KFZENALP    3
#define KFHANALP    4
#define KFCODE      5

#define	EVPOINT		1
#define	EVKEY		2

#define	KEYMUS	0				/* MOUSE KEY OFF			*/
#define	KEYOFF	0xe1			/* TKKEYSW etc OFF			*/
#define	KEYSW	0xe1			/* TKKEYSW etc OFF			*/

#define	KLOGX			0x10
#define	KLOGY			0x20
#define	KLOGW			0x40
#define	KLOGH			0x80

#define	KORGGEO			0x100

#define	KMARC		0
#define	KMTRI		1
#define	KMATRI		2
#define	KMRECT		3
#define	KMRRECT		4

#define	KMFRAME		0
#define	KMFILL		1

#define	KPF			1
#define	KPP			2

#define	KTSOLID		0
#define	KTFIX		1
#define	KTUSR		2

#define	KDSOLID		0
#define	KDDASH		1
#define	KDDOTED		2
#define	KDSDOT		3
#define	KDDDOT		4

#define	KPNORMAL	0
#define	KPREVERSE	1
#define	KPFORE		2

/*--------------------------------------------------------------*
 *              KEY CODE DEFINE SECTION                         *
 *--------------------------------------------------------------*/
#define	KEYSJS	0x02			/* SJ2 START 	CODE		*/
#define	KEYSJE	0x03			/* SJ2 END  	CODE		*/
#define	KEYBS	0x08			/* BS           CODE		*/
#define	KEYTAB	0x09			/* TAB	 		CODE		*/
#define	KEYBAT	0x0b			/* BACK TAB		CODE		*/
#define	KEYCR	0x0d			/* CR			CODE		*/
#define	KEYCAN	0x18			/* CANCEL		CODE		*/
#define	KEYESC	0x1b			/* ESC          CODE		*/
#define	KEYDEL	0x7f			/* DEL			CODE		*/
#define	KEYINS	0x01			/* INSERT		CODE		*/
#define	KEYDAT	0x04			/* DATA INPUT	CODE		*/
#define	KEYF1	0xf0			/* F1 KEY (jikkou henkanKEY)*/
#define	KEYF2	0xf1			/* F2 KEY (muhenkan     KEY)*/
#define	KEYF3	0xf2			/* F3 KEY (sonota       KEY)*/
#define	KEYF4	0xf3			/* F4 KEY (kettei       KEY)*/
#define	KEYF5	0xf4			/* F5 KEY (CODE         KEY)*/
#define	KEYF6	0xf5			/* F6 KEY (han ALPHA    KEY)*/
#define	KEYF7	0xf6			/* F7 KEY (zen ALPHA	KEY)*/
#define	KEYF8	0xf7			/* F8 KEY (han KATAKANA KEY)*/
#define	KEYF9	0xf8			/* F9 KEY (zen KATAKANA KEY)*/
#define	KEYF10	0xf9			/* F10KEY (zen HIRAGANA KEY)*/
#define	KEYCHG	0xfa			/* henkan KEY	CODE		*/
#define	KEYNCH	0xfb			/* muhenkan KEY	CODE		*/
#define	KEYLF 	0xfc			/* LEFT CURSOR	CODE		*/
#define	KEYUP	0xfd			/* UP	CURSOR	CODE		*/
#define	KEYRT	0xfe			/* RIGHTCURSOR	CODE		*/
#define	KEYDW	0xff			/* DOWN	CURSOR	CODE		*/

#ifndef	TK_NEW_DEF
#define	OK		0
#define	NG		1
#define	ON		1
#define	OFF		0
#else
#define	KOK		0
#define	KNG		1
#define	KON		1
#define	KOFF	0
#endif



#endif
