
#include	<TK2/TK.h>
#include	<TK2/TKusr.h>
#include	<GR.h>
#ifdef PS
#include	<PRkid/TKPrinPS.h>
#endif
#include	"src000.h"
#include	"gamen00.h"
#include	"gamen40.h"
#include	"gamen41.h"

	extern	int		pr_graph_exit();


/************************************************************************
*		Module Name	: 													*
*************************************************************************/
int		pr_uri_panel_open( item )
	int		item;
{
	int		sts = -1;
	int		i;

	switch( item )
	{
		case 1:
			strcpy( (char *)tb_uri_item1.data, "»" );
			strcpy( (char *)tb_uri_item2.data, "ؿ" );
			strcpy( (char *)tb_uri_item3.data, "Ҷ" );
			for( i=0; tb_uri_bars1[i]!=NULL; i++ )
				tb_uri_bars1[i]->max = 3000000;
			for( i=0; tb_uri_bars2[i]!=NULL; i++ )
				tb_uri_bars2[i]->max = 3000000;
			for( i=0; tb_uri_bars3[i]!=NULL; i++ )
				tb_uri_bars3[i]->max = 3000000;
			break;
		case 2:
		case 3:
			strcpy( (char *)tb_uri_item1.data, "եޥ" );
			strcpy( (char *)tb_uri_item2.data, "奢" );
			strcpy( (char *)tb_uri_item3.data, "¾" );
			for( i=0; tb_uri_bars1[i]!=NULL; i++ )
				tb_uri_bars1[i]->max = 1000000;
			for( i=0; tb_uri_bars2[i]!=NULL; i++ )
				tb_uri_bars2[i]->max = 1000000;
			for( i=0; tb_uri_bars3[i]!=NULL; i++ )
				tb_uri_bars3[i]->max = 1000000;
			break;
		case 4:
			strcpy( (char *)tb_uri_item1.data, "˻" );
			strcpy( (char *)tb_uri_item2.data, "" );
			strcpy( (char *)tb_uri_item3.data, "Ļ" );
			for( i=0; tb_uri_bars1[i]!=NULL; i++ )
				tb_uri_bars1[i]->max = 1000000;
			for( i=0; tb_uri_bars2[i]!=NULL; i++ )
				tb_uri_bars2[i]->max = 1000000;
			for( i=0; tb_uri_bars3[i]!=NULL; i++ )
				tb_uri_bars3[i]->max = 1000000;
			break;
	}

	if( core_graph == NULL )
	{
		pr_panel_right_down( &panel40 );
		core_graph = (Ktcore *)TKopen( root, core00->kit, &panel40 );
		if( core_graph != NULL )
		{
			Gcore = (Grcore *)TKgropen( core_graph, KARRAY, panel40_tree );
			if( Gcore != NULL )
			{
				TKgrentry( Gcore, KARRAY, tb_uri_bars3, HRBDSPON );
				TKgrentry( Gcore, KARRAY, tb_uri_bars2, HRBDSPOFF );
				TKgrentry( Gcore, KARRAY, tb_uri_bars1, HRBDSPOFF );

				TKnotify( core_graph, KEXIT, pr_graph_exit );
				sts = 0;
			}else
			{
				TKclose( core_graph );
				core_graph = NULL;
			}
		}
	}

	return( sts );
}
/************************************************************************
*       Module Name :                                                   *
*************************************************************************/
void	pr_uri_redrow( item )
	int		item;
{
	int		month;
	int		uri1, uri2, uri3;

	for( month=0; month<12; month++ )
	{
		switch( item )
		{
			case 1:
				uri1 = hanbai[month].man.total.uriage;
				uri2 = hanbai[month].wman.total.uriage;
				uri3 = hanbai[month].child.total.uriage;
				break;
			case 2:
				uri1 = hanbai[month].man.formal.uriage;
				uri2 = hanbai[month].man.cajual.uriage;
				uri3 = hanbai[month].man.other.uriage;
				break;
			case 3:
				uri1 = hanbai[month].wman.formal.uriage;
				uri2 = hanbai[month].wman.cajual.uriage;
				uri3 = hanbai[month].wman.other.uriage;
				break;
			case 4:
				uri1 = hanbai[month].child.boy.uriage;
				uri2 = hanbai[month].child.girl.uriage;
				uri3 = hanbai[month].child.baby.uriage;
				break;
		}
		tb_uri_bars1[month]->data = (unsigned int)uri1;
		tb_uri_bars2[month]->data = (unsigned int)uri2;
		tb_uri_bars3[month]->data = (unsigned int)uri3;
	}
	TKgrdisplay( Gcore, KARRAY, tb_uri_bars3, HRBDSPON );
	TKgrdisplay( Gcore, KARRAY, tb_uri_bars2, HRBDSPOFF );
	TKgrdisplay( Gcore, KARRAY, tb_uri_bars1, HRBDSPOFF );
}
/************************************************************************
*       Module Name :                                                   *
*************************************************************************/
void    pr_uri_printPS( )
{
	int		i;

#ifdef PS
    TKpinit2( &panel40, KSPANELON, KSPNLSIZE );
    TKprint( KARRAY, panel40_tree );
    for(i=0; tb_uri_bars3[i]!=NULL; i++)
        TKprint( KARRAY, tb_uri_bars3[i]->hed.ent );
    for(i=0; tb_uri_bars2[i]!=NULL; i++)
        TKprint( KARRAY, tb_uri_bars2[i]->hed.ent );
    for(i=0; tb_uri_bars1[i]!=NULL; i++)
        TKprint( KARRAY, tb_uri_bars1[i]->hed.ent );
#endif
}

