
/*      F.D.S  window library prototype define       */

#ifndef _TKLIB_H_
#define _TKLIB_H_

#include <TK2/TK.h>

#ifdef	TKPROTO
typedef	int	(*Ktcallback)();
#endif

extern	Ktroot	*TKinit();

extern	void	TKexit(
#ifdef	TKPROTO
	Ktroot*
#endif
);

extern	Ktcore	*TKopen(
#ifdef	TKPROTO
	Ktroot*, Window, Ktpanel*
#endif
);

extern	Ktcore	*TKiopen(
#ifdef	TKPROTO
	Ktroot*, Window, Ktpanel*, int, int
#endif
);

extern	Ktcore	*TKuopen(
#ifdef	TKPROTO
	Ktroot*, Window, Ktpanel*
#endif
);

extern	void	TKclose(
#ifdef	TKPROTO
	Ktcore*
#endif
);

extern	void	TKdisplay(
#ifdef	TKPROTO
	Ktcore*, int,	Ktobj** 
#endif
);

extern	void	TKerase(
#ifdef	TKPROTO
	Ktcore*, int,	Ktobj** 
#endif
);

extern	void	TKentry(
#ifdef	TKPROTO
	Ktcore*, int,	Ktobj** 
#endif
);

extern	void	TKdelete(
#ifdef	TKPROTO
	Ktcore*, int,	Ktobj** 
#endif
);

extern	int		TKevent(
#ifdef	TKPROTO
	Ktroot*
#endif
);

extern	int		TKevdispatch(
#ifdef	TKPROTO
	Ktroot*, XEvent*
#endif
);

extern	void	TKnotify(
#ifdef	TKPROTO
	Ktcore*, int, Ktcallback 
#endif
);

extern	void	TKevmask(
#ifdef	TKPROTO
	Ktcore*, int, int 
#endif
);

extern	int		TKmapping(
#ifdef	TKPROTO
	Ktcore*, int
#endif
);

extern	void	TKiconning(
#ifdef	TKPROTO
	Ktcore*, int
#endif
);

extern	void	TKkill(
#ifdef	TKPROTO
	Ktcore*, Window
#endif
);

extern	void	TKchildkill(
#ifdef	TKPROTO
	Ktcore*
#endif
);

extern	void	TKclear(
#ifdef	TKPROTO
	Ktcore*
#endif
);

extern	void	TKchgpanel(
#ifdef	TKPROTO
	Ktcore*, Ktpanel*
#endif
);

extern	int		TKsend(
#ifdef	TKPROTO
	Ktcore*, Window, int, char*, int
#endif
);

extern	int		TKsend2(
#ifdef	TKPROTO
	Ktcore*, Window, int, char*, int
#endif
);

extern	void	TKpastlock(
#ifdef	TKPROTO
	int
#endif
);

extern	char	*TKgetbuff(
#ifdef	TKPROTO
	Ktcore*
#endif
);

extern	int		TKkeysw(
#ifdef	TKPROTO
	Ktcore*, Ktobj*, int, int, int
#endif
);

extern	int		TKkeyoff(
#ifdef	TKPROTO
	Ktcore*
#endif
);

extern	void	TKimode(
#ifdef	TKPROTO
	int
#endif
);

extern	int		TKkeysim(
#ifdef	TKPROTO
	Ktcore*, int
#endif
);

extern	int		TKfepsw(
#ifdef	TKPROTO
	Ktcore*, int
#endif
);

extern	int		TKfepmode(
#ifdef	TKPROTO
	Ktcore*
#endif
);

extern	void	TKwarp(
#ifdef	TKPROTO
	Ktcore*, Window, int, int
#endif
);

extern	void	TKchgcell(
#ifdef	TKPROTO
	Ktcore*, Ktobj*, int, int
#endif
);

extern	Ktcore	*TKcanvcore(
#ifdef	TKPROTO
	Ktcanv*
#endif
);

extern	Ktcore	*TKclipcore(
#ifdef	TKPROTO
	Ktcanv*
#endif
);

extern	int		TKaddfont(
#ifdef	TKPROTO
	Ktroot*, char*, char*
#endif
);

extern	void	TKchgcursor(
#ifdef	TKPROTO
	Ktcore*, int
#endif
);

extern	void	TKchgcursor2(
#ifdef	TKPROTO
	Ktcore*, int, char*, char*
#endif
);
extern	void	TKchgbcursor(
#ifdef	TKPROTO
	Ktcore*, Ktbitmap*, Ktbitmap*, char*, char*
#endif
);

extern	void	TKmenucursor(
#ifdef	TKPROTO
	int
#endif
);

extern	void	TKsync(
#ifdef	TKPROTO
	Ktcore*
#endif
);

extern	void	TKsetxerrorhandler(
#ifdef	TKPROTO
	Ktcallback 
#endif
);

extern	int		TKotype(
#ifdef	TKPROTO
	int
#endif
);

extern	int		TKwildchk(
#ifdef	TKPROTO
	char*, char*
#endif
);

extern	void	TKlabelent(
#ifdef	TKPROTO
	Ktroot*, Ktlabel*
#endif
);

extern	void	TKlabeldel(
#ifdef	TKPROTO
	Ktroot*, Ktlabel*
#endif
);

extern	int		TKkeyposi(
#ifdef	TKPROTO
	Ktcore*, Ktobj*, int*, int*, int*, int*
#endif
);

extern	int		CWexec(
#ifdef	TKPROTO
	char*, Window, int, int, int, int, int
#endif
);

extern	int		CWgetarg(
#ifdef	TKPROTO
	int, char**, Window*, int*, int*, int*, int*, int*
#endif
);

#endif
